Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.outbound
Class ObjectNodeXML

    java.lang.Object
      com.sun.mdm.index.outbound.ObjectNodeXML

public class ObjectNodeXML
extends java.lang.Object

Formats ObjectNode to an xml string

Constructor Summary
`ObjectNodeXML()` Creates a new instance of ObjectNodeXML

Method Summary
`java.lang.String` | `constructMrgXml(java.lang.String event, java.lang.String id, EnterpriseObject eo1, EnterpriseObject eo2)` Constructs the xml for the objectNode that was passed to its constructor.
`java.lang.String` | `constructXml(java.lang.String event, java.lang.String id, EnterpriseObject eo)` Constructs the xml for the objectNode that was passed to its constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectNodeXML

    public ObjectNodeXML()

  Creates a new instance of ObjectNodeXML

Method Detail

### constructMrgXml

    public java.lang.String constructMrgXml(java.lang.String event,
                                            java.lang.String id,
                                            EnterpriseObject eo1,
                                            EnterpriseObject eo2)
                                     throws OutBoundException

  Constructs the xml for the objectNode that was passed to its constructor.

  Parameters:
    `event` - event type
    `id` - the id
    `eo1` - surviving enterprise object
    `eo2` - merged enterprise object
  Returns:
    xml string
  Throws:
    `OutBoundException`

### constructXml

    public java.lang.String constructXml(java.lang.String event,
                                         java.lang.String id,
                                         EnterpriseObject eo)
                                  throws OutBoundException

  Constructs the xml for the objectNode that was passed to its constructor.

  Parameters:
    `event` - event type
    `id` - the id
    `eo` - an enterprise object
  Returns:
    xml string
  Throws:
    `OutBoundException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.